org.apache.ode.bpel.pmapi

## Interface TEventInfo

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TEventInfoImpl

      public interface TEventInfo
      extends org.apache.xmlbeans.XmlObject

  An XML tEventInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TEventInfo.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityDefinitionId()` Gets the "activity-definition-id" element
    `java.lang.String` | `getActivityFailureReason()` Gets the "activity-failure-reason" element
    `long` | `getActivityId()` Gets the "activity-id" element
    `java.lang.String` | `getActivityName()` Gets the "activity-name" element
    `java.lang.String` | `getActivityRecoveryAction()` Gets the "activity-recovery-action" element
    `java.lang.String` | `getActivityType()` Gets the "activity-type" element
    `java.lang.String` | `getCorrelationKey()` Gets the "correlation-key" element
    `java.lang.String` | `getCorrelationSet()` Gets the "correlation-set" element
    `java.lang.String` | `getExplanation()` Gets the "explanation" element
    `java.lang.String` | `getExpression()` Gets the "expression" element
    `javax.xml.namespace.QName` | `getFault()` Gets the "fault" element
    `int` | `getFaultLineNumber()` Gets the "fault-line-number" element
    `long` | `getInstanceId()` Gets the "instance-id" element
    `int` | `getLineNumber()` Gets the "line-number" element
    `java.lang.String` | `getMexId()` Gets the "mex-id" element
    `java.lang.String` | `getName()` Gets the "name" element
    `int` | `getNewState()` Gets the "new-state" element
    `java.lang.String` | `getNewValue()` Gets the "new-value" element
    `int` | `getOldState()` Gets the "old-state" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `long` | `getParentScopeId()` Gets the "parent-scope-id" element
    `java.lang.String` | `getPartnerLinkName()` Gets the "partner-link-name" element
    `javax.xml.namespace.QName` | `getPortType()` Gets the "port-type" element
    `javax.xml.namespace.QName` | `getProcessId()` Gets the "process-id" element
    `javax.xml.namespace.QName` | `getProcessType()` Gets the "process-type" element
    `java.lang.String` | `getResult()` Gets the "result" element
    `int` | `getRootScopeDeclarationId()` Gets the "root-scope-declaration-id" element
    `long` | `getRootScopeId()` Gets the "root-scope-id" element
    `int` | `getScopeDefinitionId()` Gets the "scope-definition-id" element
    `long` | `getScopeId()` Gets the "scope-id" element
    `java.lang.String` | `getScopeName()` Gets the "scope-name" element
    `boolean` | `getSuccess()` Gets the "success" element
    `java.util.Calendar` | `getTimestamp()` Gets the "timestamp" element
    `java.lang.String` | `getType()` Gets the "type" element
    `java.lang.String` | `getVariableName()` Gets the "variable-name" element
    `boolean` | `isSetActivityDefinitionId()` True if has "activity-definition-id" element
    `boolean` | `isSetActivityFailureReason()` True if has "activity-failure-reason" element
    `boolean` | `isSetActivityId()` True if has "activity-id" element
    `boolean` | `isSetActivityName()` True if has "activity-name" element
    `boolean` | `isSetActivityRecoveryAction()` True if has "activity-recovery-action" element
    `boolean` | `isSetActivityType()` True if has "activity-type" element
    `boolean` | `isSetCorrelationKey()` True if has "correlation-key" element
    `boolean` | `isSetCorrelationSet()` True if has "correlation-set" element
    `boolean` | `isSetExplanation()` True if has "explanation" element
    `boolean` | `isSetExpression()` True if has "expression" element
    `boolean` | `isSetFault()` True if has "fault" element
    `boolean` | `isSetFaultLineNumber()` True if has "fault-line-number" element
    `boolean` | `isSetInstanceId()` True if has "instance-id" element
    `boolean` | `isSetMexId()` True if has "mex-id" element
    `boolean` | `isSetNewState()` True if has "new-state" element
    `boolean` | `isSetNewValue()` True if has "new-value" element
    `boolean` | `isSetOldState()` True if has "old-state" element
    `boolean` | `isSetOperation()` True if has "operation" element
    `boolean` | `isSetParentScopeId()` True if has "parent-scope-id" element
    `boolean` | `isSetPartnerLinkName()` True if has "partner-link-name" element
    `boolean` | `isSetPortType()` True if has "port-type" element
    `boolean` | `isSetProcessId()` True if has "process-id" element
    `boolean` | `isSetProcessType()` True if has "process-type" element
    `boolean` | `isSetResult()` True if has "result" element
    `boolean` | `isSetRootScopeDeclarationId()` True if has "root-scope-declaration-id" element
    `boolean` | `isSetRootScopeId()` True if has "root-scope-id" element
    `boolean` | `isSetScopeDefinitionId()` True if has "scope-definition-id" element
    `boolean` | `isSetScopeId()` True if has "scope-id" element
    `boolean` | `isSetScopeName()` True if has "scope-name" element
    `boolean` | `isSetSuccess()` True if has "success" element
    `boolean` | `isSetVariableName()` True if has "variable-name" element
    `void` | `setActivityDefinitionId(int activityDefinitionId)` Sets the "activity-definition-id" element
    `void` | `setActivityFailureReason(java.lang.String activityFailureReason)` Sets the "activity-failure-reason" element
    `void` | `setActivityId(long activityId)` Sets the "activity-id" element
    `void` | `setActivityName(java.lang.String activityName)` Sets the "activity-name" element
    `void` | `setActivityRecoveryAction(java.lang.String activityRecoveryAction)` Sets the "activity-recovery-action" element
    `void` | `setActivityType(java.lang.String activityType)` Sets the "activity-type" element
    `void` | `setCorrelationKey(java.lang.String correlationKey)` Sets the "correlation-key" element
    `void` | `setCorrelationSet(java.lang.String correlationSet)` Sets the "correlation-set" element
    `void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
    `void` | `setExpression(java.lang.String expression)` Sets the "expression" element
    `void` | `setFault(javax.xml.namespace.QName fault)` Sets the "fault" element
    `void` | `setFaultLineNumber(int faultLineNumber)` Sets the "fault-line-number" element
    `void` | `setInstanceId(long instanceId)` Sets the "instance-id" element
    `void` | `setLineNumber(int lineNumber)` Sets the "line-number" element
    `void` | `setMexId(java.lang.String mexId)` Sets the "mex-id" element
    `void` | `setName(java.lang.String name)` Sets the "name" element
    `void` | `setNewState(int newState)` Sets the "new-state" element
    `void` | `setNewValue(java.lang.String newValue)` Sets the "new-value" element
    `void` | `setOldState(int oldState)` Sets the "old-state" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setParentScopeId(long parentScopeId)` Sets the "parent-scope-id" element
    `void` | `setPartnerLinkName(java.lang.String partnerLinkName)` Sets the "partner-link-name" element
    `void` | `setPortType(javax.xml.namespace.QName portType)` Sets the "port-type" element
    `void` | `setProcessId(javax.xml.namespace.QName processId)` Sets the "process-id" element
    `void` | `setProcessType(javax.xml.namespace.QName processType)` Sets the "process-type" element
    `void` | `setResult(java.lang.String result)` Sets the "result" element
    `void` | `setRootScopeDeclarationId(int rootScopeDeclarationId)` Sets the "root-scope-declaration-id" element
    `void` | `setRootScopeId(long rootScopeId)` Sets the "root-scope-id" element
    `void` | `setScopeDefinitionId(int scopeDefinitionId)` Sets the "scope-definition-id" element
    `void` | `setScopeId(long scopeId)` Sets the "scope-id" element
    `void` | `setScopeName(java.lang.String scopeName)` Sets the "scope-name" element
    `void` | `setSuccess(boolean success)` Sets the "success" element
    `void` | `setTimestamp(java.util.Calendar timestamp)` Sets the "timestamp" element
    `void` | `setType(java.lang.String type)` Sets the "type" element
    `void` | `setVariableName(java.lang.String variableName)` Sets the "variable-name" element
    `void` | `unsetActivityDefinitionId()` Unsets the "activity-definition-id" element
    `void` | `unsetActivityFailureReason()` Unsets the "activity-failure-reason" element
    `void` | `unsetActivityId()` Unsets the "activity-id" element
    `void` | `unsetActivityName()` Unsets the "activity-name" element
    `void` | `unsetActivityRecoveryAction()` Unsets the "activity-recovery-action" element
    `void` | `unsetActivityType()` Unsets the "activity-type" element
    `void` | `unsetCorrelationKey()` Unsets the "correlation-key" element
    `void` | `unsetCorrelationSet()` Unsets the "correlation-set" element
    `void` | `unsetExplanation()` Unsets the "explanation" element
    `void` | `unsetExpression()` Unsets the "expression" element
    `void` | `unsetFault()` Unsets the "fault" element
    `void` | `unsetFaultLineNumber()` Unsets the "fault-line-number" element
    `void` | `unsetInstanceId()` Unsets the "instance-id" element
    `void` | `unsetMexId()` Unsets the "mex-id" element
    `void` | `unsetNewState()` Unsets the "new-state" element
    `void` | `unsetNewValue()` Unsets the "new-value" element
    `void` | `unsetOldState()` Unsets the "old-state" element
    `void` | `unsetOperation()` Unsets the "operation" element
    `void` | `unsetParentScopeId()` Unsets the "parent-scope-id" element
    `void` | `unsetPartnerLinkName()` Unsets the "partner-link-name" element
    `void` | `unsetPortType()` Unsets the "port-type" element
    `void` | `unsetProcessId()` Unsets the "process-id" element
    `void` | `unsetProcessType()` Unsets the "process-type" element
    `void` | `unsetResult()` Unsets the "result" element
    `void` | `unsetRootScopeDeclarationId()` Unsets the "root-scope-declaration-id" element
    `void` | `unsetRootScopeId()` Unsets the "root-scope-id" element
    `void` | `unsetScopeDefinitionId()` Unsets the "scope-definition-id" element
    `void` | `unsetScopeId()` Unsets the "scope-id" element
    `void` | `unsetScopeName()` Unsets the "scope-name" element
    `void` | `unsetSuccess()` Unsets the "success" element
    `void` | `unsetVariableName()` Unsets the "variable-name" element
    `org.apache.xmlbeans.XmlInt` | `xgetActivityDefinitionId()` Gets (as xml) the "activity-definition-id" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityFailureReason()` Gets (as xml) the "activity-failure-reason" element
    `org.apache.xmlbeans.XmlLong` | `xgetActivityId()` Gets (as xml) the "activity-id" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityName()` Gets (as xml) the "activity-name" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityRecoveryAction()` Gets (as xml) the "activity-recovery-action" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityType()` Gets (as xml) the "activity-type" element
    `org.apache.xmlbeans.XmlString` | `xgetCorrelationKey()` Gets (as xml) the "correlation-key" element
    `org.apache.xmlbeans.XmlString` | `xgetCorrelationSet()` Gets (as xml) the "correlation-set" element
    `org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
    `org.apache.xmlbeans.XmlString` | `xgetExpression()` Gets (as xml) the "expression" element
    `org.apache.xmlbeans.XmlQName` | `xgetFault()` Gets (as xml) the "fault" element
    `org.apache.xmlbeans.XmlInt` | `xgetFaultLineNumber()` Gets (as xml) the "fault-line-number" element
    `org.apache.xmlbeans.XmlLong` | `xgetInstanceId()` Gets (as xml) the "instance-id" element
    `org.apache.xmlbeans.XmlInt` | `xgetLineNumber()` Gets (as xml) the "line-number" element
    `org.apache.xmlbeans.XmlString` | `xgetMexId()` Gets (as xml) the "mex-id" element
    `org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
    `org.apache.xmlbeans.XmlInt` | `xgetNewState()` Gets (as xml) the "new-state" element
    `org.apache.xmlbeans.XmlString` | `xgetNewValue()` Gets (as xml) the "new-value" element
    `org.apache.xmlbeans.XmlInt` | `xgetOldState()` Gets (as xml) the "old-state" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `org.apache.xmlbeans.XmlLong` | `xgetParentScopeId()` Gets (as xml) the "parent-scope-id" element
    `org.apache.xmlbeans.XmlString` | `xgetPartnerLinkName()` Gets (as xml) the "partner-link-name" element
    `org.apache.xmlbeans.XmlQName` | `xgetPortType()` Gets (as xml) the "port-type" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessId()` Gets (as xml) the "process-id" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessType()` Gets (as xml) the "process-type" element
    `org.apache.xmlbeans.XmlString` | `xgetResult()` Gets (as xml) the "result" element
    `org.apache.xmlbeans.XmlInt` | `xgetRootScopeDeclarationId()` Gets (as xml) the "root-scope-declaration-id" element
    `org.apache.xmlbeans.XmlLong` | `xgetRootScopeId()` Gets (as xml) the "root-scope-id" element
    `org.apache.xmlbeans.XmlInt` | `xgetScopeDefinitionId()` Gets (as xml) the "scope-definition-id" element
    `org.apache.xmlbeans.XmlLong` | `xgetScopeId()` Gets (as xml) the "scope-id" element
    `org.apache.xmlbeans.XmlString` | `xgetScopeName()` Gets (as xml) the "scope-name" element
    `org.apache.xmlbeans.XmlBoolean` | `xgetSuccess()` Gets (as xml) the "success" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetTimestamp()` Gets (as xml) the "timestamp" element
    `org.apache.xmlbeans.XmlString` | `xgetType()` Gets (as xml) the "type" element
    `org.apache.xmlbeans.XmlString` | `xgetVariableName()` Gets (as xml) the "variable-name" element
    `void` | `xsetActivityDefinitionId(org.apache.xmlbeans.XmlInt activityDefinitionId)` Sets (as xml) the "activity-definition-id" element
    `void` | `xsetActivityFailureReason(org.apache.xmlbeans.XmlString activityFailureReason)` Sets (as xml) the "activity-failure-reason" element
    `void` | `xsetActivityId(org.apache.xmlbeans.XmlLong activityId)` Sets (as xml) the "activity-id" element
    `void` | `xsetActivityName(org.apache.xmlbeans.XmlString activityName)` Sets (as xml) the "activity-name" element
    `void` | `xsetActivityRecoveryAction(org.apache.xmlbeans.XmlString activityRecoveryAction)` Sets (as xml) the "activity-recovery-action" element
    `void` | `xsetActivityType(org.apache.xmlbeans.XmlString activityType)` Sets (as xml) the "activity-type" element
    `void` | `xsetCorrelationKey(org.apache.xmlbeans.XmlString correlationKey)` Sets (as xml) the "correlation-key" element
    `void` | `xsetCorrelationSet(org.apache.xmlbeans.XmlString correlationSet)` Sets (as xml) the "correlation-set" element
    `void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element
    `void` | `xsetExpression(org.apache.xmlbeans.XmlString expression)` Sets (as xml) the "expression" element
    `void` | `xsetFault(org.apache.xmlbeans.XmlQName fault)` Sets (as xml) the "fault" element
    `void` | `xsetFaultLineNumber(org.apache.xmlbeans.XmlInt faultLineNumber)` Sets (as xml) the "fault-line-number" element
    `void` | `xsetInstanceId(org.apache.xmlbeans.XmlLong instanceId)` Sets (as xml) the "instance-id" element
    `void` | `xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)` Sets (as xml) the "line-number" element
    `void` | `xsetMexId(org.apache.xmlbeans.XmlString mexId)` Sets (as xml) the "mex-id" element
    `void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
    `void` | `xsetNewState(org.apache.xmlbeans.XmlInt newState)` Sets (as xml) the "new-state" element
    `void` | `xsetNewValue(org.apache.xmlbeans.XmlString newValue)` Sets (as xml) the "new-value" element
    `void` | `xsetOldState(org.apache.xmlbeans.XmlInt oldState)` Sets (as xml) the "old-state" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetParentScopeId(org.apache.xmlbeans.XmlLong parentScopeId)` Sets (as xml) the "parent-scope-id" element
    `void` | `xsetPartnerLinkName(org.apache.xmlbeans.XmlString partnerLinkName)` Sets (as xml) the "partner-link-name" element
    `void` | `xsetPortType(org.apache.xmlbeans.XmlQName portType)` Sets (as xml) the "port-type" element
    `void` | `xsetProcessId(org.apache.xmlbeans.XmlQName processId)` Sets (as xml) the "process-id" element
    `void` | `xsetProcessType(org.apache.xmlbeans.XmlQName processType)` Sets (as xml) the "process-type" element
    `void` | `xsetResult(org.apache.xmlbeans.XmlString result)` Sets (as xml) the "result" element
    `void` | `xsetRootScopeDeclarationId(org.apache.xmlbeans.XmlInt rootScopeDeclarationId)` Sets (as xml) the "root-scope-declaration-id" element
    `void` | `xsetRootScopeId(org.apache.xmlbeans.XmlLong rootScopeId)` Sets (as xml) the "root-scope-id" element
    `void` | `xsetScopeDefinitionId(org.apache.xmlbeans.XmlInt scopeDefinitionId)` Sets (as xml) the "scope-definition-id" element
    `void` | `xsetScopeId(org.apache.xmlbeans.XmlLong scopeId)` Sets (as xml) the "scope-id" element
    `void` | `xsetScopeName(org.apache.xmlbeans.XmlString scopeName)` Sets (as xml) the "scope-name" element
    `void` | `xsetSuccess(org.apache.xmlbeans.XmlBoolean success)` Sets (as xml) the "success" element
    `void` | `xsetTimestamp(org.apache.xmlbeans.XmlDateTime timestamp)` Sets (as xml) the "timestamp" element
    `void` | `xsetType(org.apache.xmlbeans.XmlString type)` Sets (as xml) the "type" element
    `void` | `xsetVariableName(org.apache.xmlbeans.XmlString variableName)` Sets (as xml) the "variable-name" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the "name" element

    - #### xgetName

          org.apache.xmlbeans.XmlString xgetName()

      Gets (as xml) the "name" element

    - #### setName

          void setName(java.lang.String name)

      Sets the "name" element

    - #### xsetName

          void xsetName(org.apache.xmlbeans.XmlString name)

      Sets (as xml) the "name" element

    - #### getType

          java.lang.String getType()

      Gets the "type" element

    - #### xgetType

          org.apache.xmlbeans.XmlString xgetType()

      Gets (as xml) the "type" element

    - #### setType

          void setType(java.lang.String type)

      Sets the "type" element

    - #### xsetType

          void xsetType(org.apache.xmlbeans.XmlString type)

      Sets (as xml) the "type" element

    - #### getLineNumber

          int getLineNumber()

      Gets the "line-number" element

    - #### xgetLineNumber

          org.apache.xmlbeans.XmlInt xgetLineNumber()

      Gets (as xml) the "line-number" element

    - #### setLineNumber

          void setLineNumber(int lineNumber)

      Sets the "line-number" element

    - #### xsetLineNumber

          void xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)

      Sets (as xml) the "line-number" element

    - #### getTimestamp

          java.util.Calendar getTimestamp()

      Gets the "timestamp" element

    - #### xgetTimestamp

          org.apache.xmlbeans.XmlDateTime xgetTimestamp()

      Gets (as xml) the "timestamp" element

    - #### setTimestamp

          void setTimestamp(java.util.Calendar timestamp)

      Sets the "timestamp" element

    - #### xsetTimestamp

          void xsetTimestamp(org.apache.xmlbeans.XmlDateTime timestamp)

      Sets (as xml) the "timestamp" element

    - #### getProcessId

          javax.xml.namespace.QName getProcessId()

      Gets the "process-id" element

    - #### xgetProcessId

          org.apache.xmlbeans.XmlQName xgetProcessId()

      Gets (as xml) the "process-id" element

    - #### isSetProcessId

          boolean isSetProcessId()

      True if has "process-id" element

    - #### setProcessId

          void setProcessId(javax.xml.namespace.QName processId)

      Sets the "process-id" element

    - #### xsetProcessId

          void xsetProcessId(org.apache.xmlbeans.XmlQName processId)

      Sets (as xml) the "process-id" element

    - #### unsetProcessId

          void unsetProcessId()

      Unsets the "process-id" element

    - #### getProcessType

          javax.xml.namespace.QName getProcessType()

      Gets the "process-type" element

    - #### xgetProcessType

          org.apache.xmlbeans.XmlQName xgetProcessType()

      Gets (as xml) the "process-type" element

    - #### isSetProcessType

          boolean isSetProcessType()

      True if has "process-type" element

    - #### setProcessType

          void setProcessType(javax.xml.namespace.QName processType)

      Sets the "process-type" element

    - #### xsetProcessType

          void xsetProcessType(org.apache.xmlbeans.XmlQName processType)

      Sets (as xml) the "process-type" element

    - #### unsetProcessType

          void unsetProcessType()

      Unsets the "process-type" element

    - #### getInstanceId

          long getInstanceId()

      Gets the "instance-id" element

    - #### xgetInstanceId

          org.apache.xmlbeans.XmlLong xgetInstanceId()

      Gets (as xml) the "instance-id" element

    - #### isSetInstanceId

          boolean isSetInstanceId()

      True if has "instance-id" element

    - #### setInstanceId

          void setInstanceId(long instanceId)

      Sets the "instance-id" element

    - #### xsetInstanceId

          void xsetInstanceId(org.apache.xmlbeans.XmlLong instanceId)

      Sets (as xml) the "instance-id" element

    - #### unsetInstanceId

          void unsetInstanceId()

      Unsets the "instance-id" element

    - #### getScopeId

          long getScopeId()

      Gets the "scope-id" element

    - #### xgetScopeId

          org.apache.xmlbeans.XmlLong xgetScopeId()

      Gets (as xml) the "scope-id" element

    - #### isSetScopeId

          boolean isSetScopeId()

      True if has "scope-id" element

    - #### setScopeId

          void setScopeId(long scopeId)

      Sets the "scope-id" element

    - #### xsetScopeId

          void xsetScopeId(org.apache.xmlbeans.XmlLong scopeId)

      Sets (as xml) the "scope-id" element

    - #### unsetScopeId

          void unsetScopeId()

      Unsets the "scope-id" element

    - #### getParentScopeId

          long getParentScopeId()

      Gets the "parent-scope-id" element

    - #### xgetParentScopeId

          org.apache.xmlbeans.XmlLong xgetParentScopeId()

      Gets (as xml) the "parent-scope-id" element

    - #### isSetParentScopeId

          boolean isSetParentScopeId()

      True if has "parent-scope-id" element

    - #### setParentScopeId

          void setParentScopeId(long parentScopeId)

      Sets the "parent-scope-id" element

    - #### xsetParentScopeId

          void xsetParentScopeId(org.apache.xmlbeans.XmlLong parentScopeId)

      Sets (as xml) the "parent-scope-id" element

    - #### unsetParentScopeId

          void unsetParentScopeId()

      Unsets the "parent-scope-id" element

    - #### getScopeName

          java.lang.String getScopeName()

      Gets the "scope-name" element

    - #### xgetScopeName

          org.apache.xmlbeans.XmlString xgetScopeName()

      Gets (as xml) the "scope-name" element

    - #### isSetScopeName

          boolean isSetScopeName()

      True if has "scope-name" element

    - #### setScopeName

          void setScopeName(java.lang.String scopeName)

      Sets the "scope-name" element

    - #### xsetScopeName

          void xsetScopeName(org.apache.xmlbeans.XmlString scopeName)

      Sets (as xml) the "scope-name" element

    - #### unsetScopeName

          void unsetScopeName()

      Unsets the "scope-name" element

    - #### getScopeDefinitionId

          int getScopeDefinitionId()

      Gets the "scope-definition-id" element

    - #### xgetScopeDefinitionId

          org.apache.xmlbeans.XmlInt xgetScopeDefinitionId()

      Gets (as xml) the "scope-definition-id" element

    - #### isSetScopeDefinitionId

          boolean isSetScopeDefinitionId()

      True if has "scope-definition-id" element

    - #### setScopeDefinitionId

          void setScopeDefinitionId(int scopeDefinitionId)

      Sets the "scope-definition-id" element

    - #### xsetScopeDefinitionId

          void xsetScopeDefinitionId(org.apache.xmlbeans.XmlInt scopeDefinitionId)

      Sets (as xml) the "scope-definition-id" element

    - #### unsetScopeDefinitionId

          void unsetScopeDefinitionId()

      Unsets the "scope-definition-id" element

    - #### getActivityId

          long getActivityId()

      Gets the "activity-id" element

    - #### xgetActivityId

          org.apache.xmlbeans.XmlLong xgetActivityId()

      Gets (as xml) the "activity-id" element

    - #### isSetActivityId

          boolean isSetActivityId()

      True if has "activity-id" element

    - #### setActivityId

          void setActivityId(long activityId)

      Sets the "activity-id" element

    - #### xsetActivityId

          void xsetActivityId(org.apache.xmlbeans.XmlLong activityId)

      Sets (as xml) the "activity-id" element

    - #### unsetActivityId

          void unsetActivityId()

      Unsets the "activity-id" element

    - #### getActivityName

          java.lang.String getActivityName()

      Gets the "activity-name" element

    - #### xgetActivityName

          org.apache.xmlbeans.XmlString xgetActivityName()

      Gets (as xml) the "activity-name" element

    - #### isSetActivityName

          boolean isSetActivityName()

      True if has "activity-name" element

    - #### setActivityName

          void setActivityName(java.lang.String activityName)

      Sets the "activity-name" element

    - #### xsetActivityName

          void xsetActivityName(org.apache.xmlbeans.XmlString activityName)

      Sets (as xml) the "activity-name" element

    - #### unsetActivityName

          void unsetActivityName()

      Unsets the "activity-name" element

    - #### getActivityType

          java.lang.String getActivityType()

      Gets the "activity-type" element

    - #### xgetActivityType

          org.apache.xmlbeans.XmlString xgetActivityType()

      Gets (as xml) the "activity-type" element

    - #### isSetActivityType

          boolean isSetActivityType()

      True if has "activity-type" element

    - #### setActivityType

          void setActivityType(java.lang.String activityType)

      Sets the "activity-type" element

    - #### xsetActivityType

          void xsetActivityType(org.apache.xmlbeans.XmlString activityType)

      Sets (as xml) the "activity-type" element

    - #### unsetActivityType

          void unsetActivityType()

      Unsets the "activity-type" element

    - #### getActivityDefinitionId

          int getActivityDefinitionId()

      Gets the "activity-definition-id" element

    - #### xgetActivityDefinitionId

          org.apache.xmlbeans.XmlInt xgetActivityDefinitionId()

      Gets (as xml) the "activity-definition-id" element

    - #### isSetActivityDefinitionId

          boolean isSetActivityDefinitionId()

      True if has "activity-definition-id" element

    - #### setActivityDefinitionId

          void setActivityDefinitionId(int activityDefinitionId)

      Sets the "activity-definition-id" element

    - #### xsetActivityDefinitionId

          void xsetActivityDefinitionId(org.apache.xmlbeans.XmlInt activityDefinitionId)

      Sets (as xml) the "activity-definition-id" element

    - #### unsetActivityDefinitionId

          void unsetActivityDefinitionId()

      Unsets the "activity-definition-id" element

    - #### getActivityFailureReason

          java.lang.String getActivityFailureReason()

      Gets the "activity-failure-reason" element

    - #### xgetActivityFailureReason

          org.apache.xmlbeans.XmlString xgetActivityFailureReason()

      Gets (as xml) the "activity-failure-reason" element

    - #### isSetActivityFailureReason

          boolean isSetActivityFailureReason()

      True if has "activity-failure-reason" element

    - #### setActivityFailureReason

          void setActivityFailureReason(java.lang.String activityFailureReason)

      Sets the "activity-failure-reason" element

    - #### xsetActivityFailureReason

          void xsetActivityFailureReason(org.apache.xmlbeans.XmlString activityFailureReason)

      Sets (as xml) the "activity-failure-reason" element

    - #### unsetActivityFailureReason

          void unsetActivityFailureReason()

      Unsets the "activity-failure-reason" element

    - #### getActivityRecoveryAction

          java.lang.String getActivityRecoveryAction()

      Gets the "activity-recovery-action" element

    - #### xgetActivityRecoveryAction

          org.apache.xmlbeans.XmlString xgetActivityRecoveryAction()

      Gets (as xml) the "activity-recovery-action" element

    - #### isSetActivityRecoveryAction

          boolean isSetActivityRecoveryAction()

      True if has "activity-recovery-action" element

    - #### setActivityRecoveryAction

          void setActivityRecoveryAction(java.lang.String activityRecoveryAction)

      Sets the "activity-recovery-action" element

    - #### xsetActivityRecoveryAction

          void xsetActivityRecoveryAction(org.apache.xmlbeans.XmlString activityRecoveryAction)

      Sets (as xml) the "activity-recovery-action" element

    - #### unsetActivityRecoveryAction

          void unsetActivityRecoveryAction()

      Unsets the "activity-recovery-action" element

    - #### getVariableName

          java.lang.String getVariableName()

      Gets the "variable-name" element

    - #### xgetVariableName

          org.apache.xmlbeans.XmlString xgetVariableName()

      Gets (as xml) the "variable-name" element

    - #### isSetVariableName

          boolean isSetVariableName()

      True if has "variable-name" element

    - #### setVariableName

          void setVariableName(java.lang.String variableName)

      Sets the "variable-name" element

    - #### xsetVariableName

          void xsetVariableName(org.apache.xmlbeans.XmlString variableName)

      Sets (as xml) the "variable-name" element

    - #### unsetVariableName

          void unsetVariableName()

      Unsets the "variable-name" element

    - #### getNewValue

          java.lang.String getNewValue()

      Gets the "new-value" element

    - #### xgetNewValue

          org.apache.xmlbeans.XmlString xgetNewValue()

      Gets (as xml) the "new-value" element

    - #### isSetNewValue

          boolean isSetNewValue()

      True if has "new-value" element

    - #### setNewValue

          void setNewValue(java.lang.String newValue)

      Sets the "new-value" element

    - #### xsetNewValue

          void xsetNewValue(org.apache.xmlbeans.XmlString newValue)

      Sets (as xml) the "new-value" element

    - #### unsetNewValue

          void unsetNewValue()

      Unsets the "new-value" element

    - #### getPortType

          javax.xml.namespace.QName getPortType()

      Gets the "port-type" element

    - #### xgetPortType

          org.apache.xmlbeans.XmlQName xgetPortType()

      Gets (as xml) the "port-type" element

    - #### isSetPortType

          boolean isSetPortType()

      True if has "port-type" element

    - #### setPortType

          void setPortType(javax.xml.namespace.QName portType)

      Sets the "port-type" element

    - #### xsetPortType

          void xsetPortType(org.apache.xmlbeans.XmlQName portType)

      Sets (as xml) the "port-type" element

    - #### unsetPortType

          void unsetPortType()

      Unsets the "port-type" element

    - #### getOperation

          java.lang.String getOperation()

      Gets the "operation" element

    - #### xgetOperation

          org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element

    - #### isSetOperation

          boolean isSetOperation()

      True if has "operation" element

    - #### setOperation

          void setOperation(java.lang.String operation)

      Sets the "operation" element

    - #### xsetOperation

          void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element

    - #### unsetOperation

          void unsetOperation()

      Unsets the "operation" element

    - #### getCorrelationSet

          java.lang.String getCorrelationSet()

      Gets the "correlation-set" element

    - #### xgetCorrelationSet

          org.apache.xmlbeans.XmlString xgetCorrelationSet()

      Gets (as xml) the "correlation-set" element

    - #### isSetCorrelationSet

          boolean isSetCorrelationSet()

      True if has "correlation-set" element

    - #### setCorrelationSet

          void setCorrelationSet(java.lang.String correlationSet)

      Sets the "correlation-set" element

    - #### xsetCorrelationSet

          void xsetCorrelationSet(org.apache.xmlbeans.XmlString correlationSet)

      Sets (as xml) the "correlation-set" element

    - #### unsetCorrelationSet

          void unsetCorrelationSet()

      Unsets the "correlation-set" element

    - #### getMexId

          java.lang.String getMexId()

      Gets the "mex-id" element

    - #### xgetMexId

          org.apache.xmlbeans.XmlString xgetMexId()

      Gets (as xml) the "mex-id" element

    - #### isSetMexId

          boolean isSetMexId()

      True if has "mex-id" element

    - #### setMexId

          void setMexId(java.lang.String mexId)

      Sets the "mex-id" element

    - #### xsetMexId

          void xsetMexId(org.apache.xmlbeans.XmlString mexId)

      Sets (as xml) the "mex-id" element

    - #### unsetMexId

          void unsetMexId()

      Unsets the "mex-id" element

    - #### getCorrelationKey

          java.lang.String getCorrelationKey()

      Gets the "correlation-key" element

    - #### xgetCorrelationKey

          org.apache.xmlbeans.XmlString xgetCorrelationKey()

      Gets (as xml) the "correlation-key" element

    - #### isSetCorrelationKey

          boolean isSetCorrelationKey()

      True if has "correlation-key" element

    - #### setCorrelationKey

          void setCorrelationKey(java.lang.String correlationKey)

      Sets the "correlation-key" element

    - #### xsetCorrelationKey

          void xsetCorrelationKey(org.apache.xmlbeans.XmlString correlationKey)

      Sets (as xml) the "correlation-key" element

    - #### unsetCorrelationKey

          void unsetCorrelationKey()

      Unsets the "correlation-key" element

    - #### getExpression

          java.lang.String getExpression()

      Gets the "expression" element

    - #### xgetExpression

          org.apache.xmlbeans.XmlString xgetExpression()

      Gets (as xml) the "expression" element

    - #### isSetExpression

          boolean isSetExpression()

      True if has "expression" element

    - #### setExpression

          void setExpression(java.lang.String expression)

      Sets the "expression" element

    - #### xsetExpression

          void xsetExpression(org.apache.xmlbeans.XmlString expression)

      Sets (as xml) the "expression" element

    - #### unsetExpression

          void unsetExpression()

      Unsets the "expression" element

    - #### getFault

          javax.xml.namespace.QName getFault()

      Gets the "fault" element

    - #### xgetFault

          org.apache.xmlbeans.XmlQName xgetFault()

      Gets (as xml) the "fault" element

    - #### isSetFault

          boolean isSetFault()

      True if has "fault" element

    - #### setFault

          void setFault(javax.xml.namespace.QName fault)

      Sets the "fault" element

    - #### xsetFault

          void xsetFault(org.apache.xmlbeans.XmlQName fault)

      Sets (as xml) the "fault" element

    - #### unsetFault

          void unsetFault()

      Unsets the "fault" element

    - #### getFaultLineNumber

          int getFaultLineNumber()

      Gets the "fault-line-number" element

    - #### xgetFaultLineNumber

          org.apache.xmlbeans.XmlInt xgetFaultLineNumber()

      Gets (as xml) the "fault-line-number" element

    - #### isSetFaultLineNumber

          boolean isSetFaultLineNumber()

      True if has "fault-line-number" element

    - #### setFaultLineNumber

          void setFaultLineNumber(int faultLineNumber)

      Sets the "fault-line-number" element

    - #### xsetFaultLineNumber

          void xsetFaultLineNumber(org.apache.xmlbeans.XmlInt faultLineNumber)

      Sets (as xml) the "fault-line-number" element

    - #### unsetFaultLineNumber

          void unsetFaultLineNumber()

      Unsets the "fault-line-number" element

    - #### getExplanation

          java.lang.String getExplanation()

      Gets the "explanation" element

    - #### xgetExplanation

          org.apache.xmlbeans.XmlString xgetExplanation()

      Gets (as xml) the "explanation" element

    - #### isSetExplanation

          boolean isSetExplanation()

      True if has "explanation" element

    - #### setExplanation

          void setExplanation(java.lang.String explanation)

      Sets the "explanation" element

    - #### xsetExplanation

          void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

      Sets (as xml) the "explanation" element

    - #### unsetExplanation

          void unsetExplanation()

      Unsets the "explanation" element

    - #### getResult

          java.lang.String getResult()

      Gets the "result" element

    - #### xgetResult

          org.apache.xmlbeans.XmlString xgetResult()

      Gets (as xml) the "result" element

    - #### isSetResult

          boolean isSetResult()

      True if has "result" element

    - #### setResult

          void setResult(java.lang.String result)

      Sets the "result" element

    - #### xsetResult

          void xsetResult(org.apache.xmlbeans.XmlString result)

      Sets (as xml) the "result" element

    - #### unsetResult

          void unsetResult()

      Unsets the "result" element

    - #### getRootScopeId

          long getRootScopeId()

      Gets the "root-scope-id" element

    - #### xgetRootScopeId

          org.apache.xmlbeans.XmlLong xgetRootScopeId()

      Gets (as xml) the "root-scope-id" element

    - #### isSetRootScopeId

          boolean isSetRootScopeId()

      True if has "root-scope-id" element

    - #### setRootScopeId

          void setRootScopeId(long rootScopeId)

      Sets the "root-scope-id" element

    - #### xsetRootScopeId

          void xsetRootScopeId(org.apache.xmlbeans.XmlLong rootScopeId)

      Sets (as xml) the "root-scope-id" element

    - #### unsetRootScopeId

          void unsetRootScopeId()

      Unsets the "root-scope-id" element

    - #### getRootScopeDeclarationId

          int getRootScopeDeclarationId()

      Gets the "root-scope-declaration-id" element

    - #### xgetRootScopeDeclarationId

          org.apache.xmlbeans.XmlInt xgetRootScopeDeclarationId()

      Gets (as xml) the "root-scope-declaration-id" element

    - #### isSetRootScopeDeclarationId

          boolean isSetRootScopeDeclarationId()

      True if has "root-scope-declaration-id" element

    - #### setRootScopeDeclarationId

          void setRootScopeDeclarationId(int rootScopeDeclarationId)

      Sets the "root-scope-declaration-id" element

    - #### xsetRootScopeDeclarationId

          void xsetRootScopeDeclarationId(org.apache.xmlbeans.XmlInt rootScopeDeclarationId)

      Sets (as xml) the "root-scope-declaration-id" element

    - #### unsetRootScopeDeclarationId

          void unsetRootScopeDeclarationId()

      Unsets the "root-scope-declaration-id" element

    - #### getPartnerLinkName

          java.lang.String getPartnerLinkName()

      Gets the "partner-link-name" element

    - #### xgetPartnerLinkName

          org.apache.xmlbeans.XmlString xgetPartnerLinkName()

      Gets (as xml) the "partner-link-name" element

    - #### isSetPartnerLinkName

          boolean isSetPartnerLinkName()

      True if has "partner-link-name" element

    - #### setPartnerLinkName

          void setPartnerLinkName(java.lang.String partnerLinkName)

      Sets the "partner-link-name" element

    - #### xsetPartnerLinkName

          void xsetPartnerLinkName(org.apache.xmlbeans.XmlString partnerLinkName)

      Sets (as xml) the "partner-link-name" element

    - #### unsetPartnerLinkName

          void unsetPartnerLinkName()

      Unsets the "partner-link-name" element

    - #### getOldState

          int getOldState()

      Gets the "old-state" element

    - #### xgetOldState

          org.apache.xmlbeans.XmlInt xgetOldState()

      Gets (as xml) the "old-state" element

    - #### isSetOldState

          boolean isSetOldState()

      True if has "old-state" element

    - #### setOldState

          void setOldState(int oldState)

      Sets the "old-state" element

    - #### xsetOldState

          void xsetOldState(org.apache.xmlbeans.XmlInt oldState)

      Sets (as xml) the "old-state" element

    - #### unsetOldState

          void unsetOldState()

      Unsets the "old-state" element

    - #### getNewState

          int getNewState()

      Gets the "new-state" element

    - #### xgetNewState

          org.apache.xmlbeans.XmlInt xgetNewState()

      Gets (as xml) the "new-state" element

    - #### isSetNewState

          boolean isSetNewState()

      True if has "new-state" element

    - #### setNewState

          void setNewState(int newState)

      Sets the "new-state" element

    - #### xsetNewState

          void xsetNewState(org.apache.xmlbeans.XmlInt newState)

      Sets (as xml) the "new-state" element

    - #### unsetNewState

          void unsetNewState()

      Unsets the "new-state" element

    - #### getSuccess

          boolean getSuccess()

      Gets the "success" element

    - #### xgetSuccess

          org.apache.xmlbeans.XmlBoolean xgetSuccess()

      Gets (as xml) the "success" element

    - #### isSetSuccess

          boolean isSetSuccess()

      True if has "success" element

    - #### setSuccess

          void setSuccess(boolean success)

      Sets the "success" element

    - #### xsetSuccess

          void xsetSuccess(org.apache.xmlbeans.XmlBoolean success)

      Sets (as xml) the "success" element

    - #### unsetSuccess

          void unsetSuccess()

      Unsets the "success" element